<?php

/**
 * The Features Shortcode.
 */

use Aheto\Helper;

extract($atts);

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', 't-center');
$this->add_render_attribute('wrapper', 'class', 'aheto-features--sterling-4');

$sterling_use_main = isset($sterling_use_main) && $sterling_use_main ? 'scale' : '';
$this->add_render_attribute( 'wrapper', 'class', $sterling_use_main );

/**
 * Set dependent style
 */

$sc_dir = aheto()->plugin_url() . 'shortcodes/features-single/';
wp_enqueue_style('sterling-features-single-scale', $sc_dir . 'assets/css/sterling_layout4.css', null, null);

$background_image = Helper::get_background_attachment($s_image, $image_size, $atts);
?>

<div <?php $this->render_attribute_string('wrapper'); ?>>
  <?php if (!empty($s_image)) : ?>
    <div class="aheto-features-block__image" <?php echo esc_attr($background_image); ?>></div>
  <?php endif; ?>
  <div class="aheto-features__content">
    <?php if (!empty($s_heading)) : ?>
      <h4 class="aheto-content-block__title">
        <?php echo esc_html($s_heading); ?>
      </h4>
    <?php endif; ?>
    <?php if (!empty($s_description)) : ?>
      <p class="aheto-content-block__info-text">
        <?php echo esc_html($s_description); ?>
      </p>
    <?php endif; ?>
    <?php if (!empty($sterling_main_add_button)) { ?>
      <div class="aheto--custom-links">
        <?php echo Helper::get_button($this, $atts, 'sterling_main_'); ?>
      </div>
    <?php } ?>
  </div>
</div>