;(function ($, window, document, undefined) {
	"use strict";

	let mobileMenuCheck = 0;

	$(window).on('load', function () {
		if ($('#wpadminbar').length) {
			$('.main-header--azyn-main .desk-menu__close-wrap').css('margin-top', '30px');
		}
		if ($('.aheto-navbar--azyn-modern').length) {
			$('.main-header--azyn-second .main-header__main-line').css({'padding-top': '0', 'padding-bottom': '0'});
		}
	});


	$( () => {
		mobileMenuCheck = $('.main-header--azyn-main').attr('data-mobile-menu');
		const $hamburger = $('.aheto-header .main-header--azyn-main  .js-toggle-desk-menu');
		let menuBox = $('.main-header--azyn-main.main-header').find('.main-header__desk-menu-wrapper');

		// Hamburger click
		$hamburger.on('click', function () {
			menuBox.addClass('menu-open');
			$('body').addClass('sidebar-open no-scroll');
			$('body').css('margin-left', '-15px');
			$('.aheto-header').css('margin-left', '-9px');
		});

		// Close click
		$('.main-header--azyn-main .desk-menu__close').on('click', function () {
			menuBox.removeClass('menu-open');
			$('body').removeClass('sidebar-open no-scroll');
			$('body').css('margin-left', 'unset');
			$('.aheto-header').css('margin-left', 'unset');
		});

	});

	function azyn_demo_menu() {
		if ($('.main-header--azyn-main').length) {

			let maxW = $('.main-header--azyn-main .main-header__main-line').outerWidth();
			let menuH = $('.main-header--azyn-main .main-header__main-line').innerHeight();
			let menuInnerH = $('.main-header--azyn-main .menu-home-page-container').innerHeight();

			if ($('.main-header--azyn-main .main-header__pages-list').length) {

				$('.main-header--azyn-main .main-header__pages-list').css({
					'width': maxW,
					'max-height': $(window).innerHeight() - menuH - 50
				});
			}
		}
	}

	function azyn_demos_menu() {
		if ($(window).width() >= mobileMenuCheck) {
			azyn_ajax_menu();
		} else {
			azyn_remove_ajax_menu();
		}
	}


	function azyn_ajax_menu() {

		if ($('.main-header--azyn-main .main-header__menu-box[data-demos]').length && !$('.main-header__pages-list-image').length) {

			let demos = $('.main-header--azyn-main .main-header__menu-box').data('demos');

			let itemN = 0;

			if (typeof demos !== 'number') {
				demos = demos.split(',');

				demos.forEach(item => {

					itemN = item - 1;

					$('.main-header--azyn-main .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
				});

			} else {

				itemN = demos - 1;

				$('.main-header--azyn-main .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
			}

			let items = $('.main-header--azyn-main .main-header__pages-list li a');
			let links = '';
			let counter = 1;

			items.each(function () {
				counter > 1 ? links += '+++' + $(this).attr('href') : links += $(this).attr('href');

				$(this).prepend('<span class="main-header__pages-list-image"></span>');

				counter++;
			});

			$.post(
				azyn_nav_layout1.ajax_url, {
					'action': 'azyn_page_list',
					'page_list': links
				},
				function (response) {

					$('.main-header--azyn-main .main-header__pages-list-image').each(function (index) {

						let background = response[index] ? 'background-image:url(' + response[index] + ')' : 'background-color:rgba(var(--ca-active),.1)';

						$(this).attr('style', background);
					});

				}
			);

		}
	}

	function azyn_remove_ajax_menu() {
		if ($('.main-header__pages-list-image').length) {
			$('.main-header__pages-list-image').remove();
		}
	}

	azyn_demos_menu();

	$(window).on('load', function () {
		azyn_demo_menu();
		if ($('.main-header--azyn-main').length) {
			$('body').addClass('main-header--azyn-main');
		}

	});

	$(window).on('resize orientationchange', function () {

		azyn_demo_menu();
		azyn_demos_menu();
	});

	$(window).on('load resize orientationchange', function () {
		let $megaMenuBlock = $('.main-header--azyn-main .sub-menu.mega-menu');

		if ($megaMenuBlock.length) {

			$megaMenuBlock.each(function () {

				let $megaMenuItem = $(this).closest('.menu-item--mega-menu');

				let $megaMenuItemPosition = $megaMenuItem.offset().left - ($(window).width() - $(this).width()) / 2;

				if (!$(this).find('.mega-menu-arrow').length) {
					$(this).append('<span class="mega-menu-arrow"></span>');
				}

				$(this).find('.mega-menu-arrow').css({
					'left': ($megaMenuItemPosition + 30)
				})
			})
		}
	})

})(jQuery, window, document);
