;(function ($, window, document, undefined) {
	"use strict";

	let mobileMenuCheck = 0;

	$( () => {
		mobileMenuCheck = $('.main-header--bizy_simple').attr('data-mobile-menu');
	});

	function bizy_demo_menu() {
		if ($('.main-header--bizy_simple').length) {

			let menuH = $('.main-header--bizy_simple .main-header__main-line').innerHeight();
			let menuInnerH = $('.main-header--bizy_simple .menu-home-page-container').innerHeight();

			if ($('.main-header--bizy_simple .main-header__pages-list').length) {
				$('.main-header--bizy_simple .main-header__pages-list').css({
					'width': '100%',
					'max-height': $(window).innerHeight() - menuH - 50
				});
			}
		}
	}

	function bizy_demos_menu() {
		if ($(window).width() >= mobileMenuCheck) {
			bizy_ajax_menu();
		} else {
			bizy_remove_ajax_menu();
		}
	}


	function bizy_ajax_menu() {

		if ($('.main-header--bizy_simple .main-header__menu-box[data-demos]').length && !$('.main-header__pages-list-image').length) {

			let demos = $('.main-header--bizy_simple .main-header__menu-box').data('demos');

			let itemN = 0;

			if (typeof demos !== 'number') {
				demos = demos.split(',');

				demos.forEach(item => {

					itemN = item - 1;

					$('.main-header--bizy_simple .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
				});

			} else {

				itemN = demos - 1;

				$('.main-header--bizy_simple .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
			}

			let items = $('.main-header--bizy_simple .main-header__pages-list li a');
			let links = '';
			let counter = 1;

			items.each(function () {
				counter > 1 ? links += '+++' + $(this).attr('href') : links += $(this).attr('href');

				$(this).prepend('<span class="main-header__pages-list-image"></span>');

				counter++;
			});

			$.post(
				bizy_nav_layout2.ajax_url, {
					'action': 'bizy_page_list',
					'page_list': links
				},
				function (response) {

					$('.main-header--bizy_simple .main-header__pages-list-image').each(function (index) {

						let background = response[index] ? 'background-image:url(' + response[index] + ')' : 'background-color:rgba(var(--ca-active),.1)';

						$(this).attr('style', background);
					});

				}
			);

		}
	}

	function bizy_remove_ajax_menu() {
		if ($('.main-header__pages-list-image').length) {
			$('.main-header__pages-list-image').remove();
		}
	}

	bizy_demos_menu();

	$(window).on('load', function () {
		bizy_demo_menu();
	});

	$(window).on('resize orientationchange', function () {
		bizy_demo_menu();
		bizy_demos_menu();
	});

})(jQuery, window, document);
