;(function ($, window, document, undefined) {

    function deva_demo_menu() {
        if ($('.main-header--deva-simple').length) {

            var maxW = $('.main-header--deva-simple .main-header__main-line').outerWidth();
            var menuH = $('.main-header--deva-simple .main-header__main-line').innerHeight();
            var menuInnerH = $('.main-header--deva-simple .menu-home-page-container').innerHeight();
            $('.main-header--deva-simple .menu-item--mega-menu .mega-menu').css('top', (menuH - menuInnerH) / 2 + menuInnerH);

            if ($('.main-header--deva-simple .main-header__pages-list').length) {

                $('.main-header--deva-simple .main-header__pages-list').css({
                    'width': maxW,
                    'max-height': $(window).innerHeight() - menuH - 50
                });
            }
        }

    }

    function deva_demos_menu() {
        var mobileMenu = $('.main-header--deva-simple').attr('data-mobile-menu');

        if ($(window).width() >= mobileMenu) {
            deva_ajax_menu();
            $('.main-header--deva-simple .main-menu--inline').removeClass('mobile-nav-in').removeClass('mobile-nav-out').siblings().remove();
        } else {
            deva_remove_ajax_menu();
        }
    }

    function deva_ajax_menu() {

        if ($('.main-header--deva-simple .main-header__menu-box[data-demos]').length && !$('.main-header__pages-list-image').length) {

            var demos = $('.main-header--deva-simple .main-header__menu-box').data('demos');

            var itemN = 0;

            if (typeof demos !== 'number') {
                demos = demos.split(',');

                demos.forEach(item => {

                    itemN = item - 1;


                $('.main-header--deva-simple .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
            });

            } else {

                itemN = demos - 1;

                $('.main-header--deva-simple .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
            }


            var items = $('.main-header--deva-simple .main-header__pages-list li a');
            var links = '';
            var counter = 1;

            items.each(function () {
                counter > 1 ? links += '+++' + $(this).attr('href') : links += $(this).attr('href');

                $(this).prepend("<span class='main-header__pages-list-image'></span>");

                counter++;
            });


            $.post(
                deva_nav_layout1.ajax_url, {
                    'action': 'deva_page_list',
                    'page_list': links
                },
                function (response) {

                    $('.main-header--deva-simple .main-header__pages-list-image').each(function (index) {

                        var background = response[index] ? 'background-image:url(' + response[index] + ')' : 'background-color:rgba(0,0,0,.1)';

                        $(this).attr('style', background);
                    });

                }
            );

        }
    }

    function deva_remove_ajax_menu() {
        if ($('.main-header__pages-list-image').length) {
            $('.main-header__pages-list-image').remove();
        }
    }


    deva_demos_menu();

    function mobile_animation() {
        if ($('.main-header--deva-simple').length) {

            if($('.main-header--deva-simple .current-menu-item').length && $('.main-header--deva-simple .current-menu-item').closest('.mega-menu__col').length){
                $('.main-header--deva-simple .current-menu-item').closest('.mega-menu__col').find('.mega-menu__title').addClass('mega-menu__current');
            }


            $('.main-header--deva-simple .dropdown-btn').addClass('dropdown-arrow').removeClass('dropdown-btn');
            if( !$('.main-header--deva-simple .mega-menu__title').parent().find('.dropdown-arrow').length){
                $('.main-header--deva-simple .mega-menu__title').append('<span class="dropdown-arrow"></span>');
            }

            $('.main-header--deva-simple .dropdown-arrow').off().on('click', function () {

                var mobileMenu = $('.main-header--deva-simple').attr('data-mobile-menu');

                if ($(window).width() < mobileMenu) {

                    var submenu = $(this).next().clone();
                    var parent = $(this).parent().parent();
                    var backBtn = $('.main-header--deva-simple .main-header__menu-box').attr('data-back');


                    if($(submenu).prop("tagName") == "DIV"){
                        $(submenu).prepend('<div class="deva-back">' + backBtn + '</div>');
                    }else{
                        $(submenu).prepend('<li class="deva-back">' + backBtn + '</li>');
                    }

                    $('.main-header--deva-simple .menu-home-page-container').append(submenu);
                    $(submenu).removeClass('mobile-nav-out').removeClass('mobile-sub-nav-out').addClass("mobile-sub-nav-in").show();
                    parent.removeClass("mobile-sub-nav-in").removeClass('mobile-nav-in').addClass('mobile-nav-out').delay(200).hide();
                    mobile_animation();

                    $('.main-header--deva-simple .deva-back').on('click', function () {

                        var $this = $(this);
                        $this.parent().removeClass('mobile-sub-nav-in').addClass('mobile-sub-nav-out');

                        parent.removeClass('mobile-nav-out').removeClass('mobile-sub-nav-out').addClass('mobile-nav-in');

                        setTimeout(function () {
                            $this.parent().remove();
                            parent.css('display', 'block');
                        }, 200);


                    });
                }
            });

        }
    }

    $(window).on('load', function () {
        mobile_animation();
        deva_demo_menu();
        if ($('.main-header--deva-simple').length) {
            $('body').addClass('aheto-menu--deva-simple');
        }

        $('.aheto-menu--deva-simple .body-overlay').on('click', function () {
            $('.main-header--deva-simple .btn-close').trigger('click');
        });

    });

    $(window).on('resize orientationchange', function () {

        deva_demo_menu();
        deva_demos_menu();
    });

    $(window).on('load resize orientationchange', function () {
        let $megaMenuBlock = $('.submenu-2 .sub-menu.mega-menu');

        if ($megaMenuBlock.length) {

            $megaMenuBlock.each(function () {

                let $megaMenuItem = $(this).closest('.menu-item--mega-menu');

                let $megaMenuItemPosition = $megaMenuItem.offset().left - ($(window).width() - $(this).width()) / 2;

                if (!$(this).find('.mega-menu-arrow').length) {
                    $(this).append('<span class="mega-menu-arrow"></span>');
                }

                $(this).find('.mega-menu-arrow').css({
                    'left': ($megaMenuItemPosition + 30)
                })
            })
        }
    })



})(jQuery, window, document);
