;(function ($, window, document, undefined) {

    function aheto_demo_menu() {
        if ($('.main-header--classic').length) {

            var maxW = $('.main-header--classic .main-header__main-line').outerWidth();
            var menuH = $('.main-header--classic .main-header__main-line').innerHeight();
            var menuInnerH = $('.main-header--classic .menu-home-page-container').innerHeight();
            $('.main-header--classic .menu-item--mega-menu .mega-menu').css('top', (menuH - menuInnerH) / 2 + menuInnerH);

            if ($('.main-header--classic .main-header__pages-list').length) {

                $('.main-header--classic .main-header__pages-list').css({
                    'width': maxW,
                    'max-height': $(window).innerHeight() - menuH - 50
                });
            }
        }
    }

    function aheto_demos_menu() {
        var mobileMenu = $('.main-header--classic').attr('data-mobile-menu');

        if ($(window).width() >= mobileMenu) {
            aheto_ajax_menu();
        } else {
            aheto_remove_ajax_menu();
        }
    }

    function aheto_ajax_menu() {

        if ($('.main-header--classic .main-header__menu-box[data-demos]').length && !$('.main-header__pages-list-image').length) {

            var demos = $('.main-header--classic .main-header__menu-box').data('demos');

            var itemN = 0;

            if (typeof demos !== 'number') {
                demos = demos.split(',');

                demos.forEach(item => {

                    itemN = item - 1;


                $('.main-header--classic .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
            });

            } else {

                itemN = demos - 1;

                $('.main-header--classic .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
            }


            var items = $('.main-header--classic .main-header__pages-list li a');
            var links = '';
            var counter = 1;

            items.each(function () {
                counter > 1 ? links += '+++' + $(this).attr('href') : links += $(this).attr('href');

                $(this).prepend("<span class='main-header__pages-list-image'></span>");

                counter++;
            });

            $.post(
                aheto_nav_layout5.ajax_url, {
                    'action': 'aheto_page_list',
                    'page_list': links
                },
                function (response) {

                    console.log(response);

                    $('.main-header--classic .main-header__pages-list-image').each(function (index) {

                        var background = response[index] ? 'background-image:url(' + response[index] + ')' : 'background-color:rgba(0,0,0,.1)';

                        $(this).attr('style', background);
                    });

                }
            );

        }
    }

    function aheto_remove_ajax_menu() {
        if ($('.main-header__pages-list-image').length) {
            $('.main-header__pages-list-image').remove();
        }
    }


    aheto_demos_menu();

    $(window).on('load', function () {

        aheto_demo_menu();
        if ($('.main-header--classic').length) {
            $('body').addClass('aheto-menu--aheto-simple');
        }

    });

    $(window).on('resize orientationchange', function () {

        aheto_demo_menu();
        aheto_demos_menu();
    });


})(jQuery, window, document);
