;(function ($, window, document, undefined) {
	"use strict";

	let mobileMenuCheck = 0;

	$( () => {
		mobileMenuCheck = $('.main-header--classic-2').attr('data-mobile-menu');
	});

	function aheto_demo_menu() {
		if ($('.main-header--classic-2').length) {

			let menuH = $('.main-header--classic-2 .main-header__main-line').innerHeight();

			if ($('.main-header--classic-2 .main-header__pages-list').length) {
				$('.main-header--classic-2 .main-header__pages-list').css({
					'width': '100%',
					'max-height': $(window).innerHeight() - menuH - 50
				});
			}
		}
	}

	function aheto_demos_menu() {
		if ($(window).width() >= mobileMenuCheck) {
			aheto_ajax_menu();
		} else {
			aheto_remove_ajax_menu();
		}
	}


	function aheto_ajax_menu() {

		if ($('.main-header--classic-2 .main-header__menu-box[data-demos]').length && !$('.main-header__pages-list-image').length) {

			let demos = $('.main-header--classic-2 .main-header__menu-box').data('demos');

			let itemN = 0;

			if (typeof demos !== 'number') {
				demos = demos.split(',');

				demos.forEach(item => {

					itemN = item - 1;

					$('.main-header--classic-2 .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
				});

			} else {

				itemN = demos - 1;

				$('.main-header--classic-2 .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
			}

			let items = $('.main-header--classic-2 .main-header__pages-list li a');
			let links = '';
			let counter = 1;

			items.each(function () {
				counter > 1 ? links += '+++' + $(this).attr('href') : links += $(this).attr('href');

				$(this).prepend('<span class="main-header__pages-list-image"></span>');

				counter++;
			});

			$.post(
				aheto_nav_layout8.ajax_url, {
					'action': 'aheto_page_list',
					'page_list': links
				},
				function (response) {

					$('.main-header--classic-2 .main-header__pages-list-image').each(function (index) {

						let background = response[index] ? 'background-image:url(' + response[index] + ')' : 'background-color:rgba(var(--ca-active),.1)';

						$(this).attr('style', background);
					});

				}
			);

		}
	}

	function aheto_remove_ajax_menu() {
		if ($('.main-header__pages-list-image').length) {
			$('.main-header__pages-list-image').remove();
		}
	}

	aheto_demos_menu();

	$(window).on('load', function () {
		aheto_demo_menu();
	});

	$(window).on('resize orientationchange', function () {
		aheto_demo_menu();
		aheto_demos_menu();
	});


	$(window).on('load resize orientationchange', function () {
		let $megaMenuBlock = $('.main-header--classic-2 .sub-menu.mega-menu');

		if ($megaMenuBlock.length) {
			$megaMenuBlock.each(function () {

				let $megaMenuItem = $(this).closest('.menu-item--mega-menu');
				let $megaMenuItemPosition = $megaMenuItem.position().left;

				if (!$(this).find('.mega-menu-arrow').length) {
					$(this).append('<span class="mega-menu-arrow"></span>');
				}

				$(this).find('.mega-menu-arrow').css({
					'left': ($megaMenuItemPosition + 45)
				})
			})
		}
	})

})(jQuery, window, document);
