;(function ($, window, document, undefined) {
    "use strict";

    let $megaMenuBlock = $('.sub-menu.mega-menu');

    if ( $megaMenuBlock.length ) {

        $megaMenuBlock.each(function () {

            let $megaMenuItem = $(this).closest('.menu-item--mega-menu');

            let $megaMenuItemPosition = $megaMenuItem.offset().left - $('.menu-home-page-container').offset().left + 15;

            $(this).append('<span class="mega-menu-arrow"></span>');

            $(this).find('.mega-menu-arrow').css({
                'left' : ( $megaMenuItemPosition + 30 )
            })
        })
    }

    $(window).scroll(function(){
        if ($(this).scrollTop() > 10) {
           $('.aheto-header--fixed').addClass('header-scroll-2');
        } else {
           $('.aheto-header--fixed').removeClass('header-scroll-2');
        }
    });

    function sterling_demo_menu_width() {

        if ($('.main-header--sterling-lite').length) {

            var maxW = $('.main-header--sterling-lite .main-header__main-line').outerWidth();

            var menuH = $('.main-header--sterling-lite .main-header__main-line').innerHeight();
            var menuInnerH = $('.main-header--sterling-lite .menu-home-page-container').innerHeight();
            $('.main-header--sterling-lite .menu-item--mega-menu .mega-menu').css('top', (menuH - menuInnerH) / 2 + menuInnerH);

            if ($('.main-header--sterling-lite .main-header__pages-list').length) {

                $('.main-header--sterling-lite .main-header__pages-list').css({
                    'width': maxW,
                    'max-height': $(window).innerHeight() - menuH - 50
                });
            }
        }
    }

    function sterling_demos_menu() {

        if ($(window).width() >= 1200 ) {
            sterling_ajax_menu();
        } else {
            sterling_remove_ajax_menu();
        }
    }


    function sterling_ajax_menu() {

        if ($('.main-header--sterling-lite .main-header__menu-box[data-demos]').length && !$('.main-header__pages-list-image').length) {

            var demos = $('.main-header--sterling-lite .main-header__menu-box').data('demos');

            var itemN = 0;

            if (typeof demos !== 'number') {
                demos = demos.split(',');

                demos.forEach(item => {

                    itemN = item - 1;


                    $('.main-header--sterling-lite .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
                });

            } else {

                itemN = demos - 1;

                $('.main-header--sterling-lite .mega-menu').eq(itemN).addClass('main-header__pages-list').closest('li').addClass('main-header__pages-list-wrap');
            }


            var items = $('.main-header--sterling-lite .main-header__pages-list li a');
            var links = '';
            var counter = 1;

            items.each(function () {
                counter > 1 ? links += '+++' + $(this).attr('href') : links += $(this).attr('href');

                $(this).prepend("<span class='main-header__pages-list-image'></span>");

                counter++;
            });


            $.post(
                sterling_nav_layout2.ajax_url, {
                    'action': 'sterling_page_list2',
                    'page_list': links
                },
                function (response) {

                    $('.main-header--sterling-lite .main-header__pages-list-image').each(function (index) {

                        var background = response[index] ? 'background-image:url(' + response[index] + ')' : 'background-color:rgba(0,0,0,.1)';

                        $(this).attr('style', background);
                    });

                }
            );

        }
    }

    function sterling_remove_ajax_menu() {
        if ($('.main-header__pages-list-image').length) {
            $('.main-header__pages-list-image').remove();
        }
    }


    $(window).on('load', function () {

        sterling_demos_menu();
        sterling_demo_menu_width();
        if ($('.main-header--sterling-lite').length) {
            $('body').addClass('aheto-menu--sterling-lite');
        }

    });

    $(window).on('resize orientationchange', function () {

        sterling_demo_menu_width();
        sterling_demos_menu();
    });





})(jQuery, window, document);