<?php

use Aheto\Helper;
add_action( 'aheto_before_aheto_navigation_register', 'bizy_navigation_layout2' );


/**
 * Navigation Shortcode
 */

function bizy_navigation_layout2( $shortcode ) {

    $preview_dir = '//assets.aheto.co/navigation/previews/';

    $shortcode->add_layout( 'bizy_layout2', [
        'title' => esc_html__( 'Bizy Simple', 'bizy' ),
        'image' => $preview_dir . 'bizy_layout2.jpg',
    ] );


    aheto_demos_add_dependency( ['max_width', 'type_logo', 'mob_logo', 'transparent', 'add_scroll_logo', 'add_mob_scroll_logo', 'use_mob_menu_title_typo', 'mob_menu_title_typo', 'use_mega_menu_title_typo', 'mega_menu_title_typo', 'use_menu_link_typo', 'menu_link_typo', 'use_logo_typo', 'logo_typo', 'logo', 'text_logo', 'scroll_logo', 'scroll_mob_logo', 'mobile_menu_width'], [ 'bizy_layout2' ], $shortcode );

	$shortcode->add_dependecy( 'bizy_demo_pages', 'template', 'bizy_layout2' );

	$shortcode->add_params( [
		'bizy_demo_pages' => [
			'type' => 'text',
			'heading' => esc_html__('Megamenu with images', 'bizy'),
			'description' => esc_html__( 'Please write number. For example, if you want first submenu - write "1", if you want first and second - write "1,2". Note: Use only for megamenu items.', 'bizy' ),
		]
	] );

    \Aheto\Params::add_button_params( $shortcode, [
        'prefix'     => 'bizy_',
        'group'      => 'Bizy Desktop button',
        'icons'      => true,
        'add_button' => true,
        'dependency' => [ 'template', [ 'bizy_layout2' ] ]
    ] );

    \Aheto\Params::add_button_params( $shortcode, [
        'prefix'     => 'bizy_scroll_',
        'group'      => 'Bizy Scroll button',
        'icons'      => true,
        'add_button' => true,
        'dependency' => [ 'template', [ 'bizy_layout2' ] ]
    ] );

    \Aheto\Params::add_button_params( $shortcode, [
        'prefix'     => 'bizy_mob_',
        'group'      => 'Bizy Mobile button',
        'icons'      => true,
        'add_button' => true,
        'dependency' => [ 'template', [ 'bizy_layout2' ] ]
    ] );
}

add_action( 'wp_ajax_nopriv_bizy_page_list', 'bizy_navigation_page_list_ajax_layout2' );
add_action( 'wp_ajax_bizy_page_list', 'bizy_navigation_page_list_ajax_layout2' );

function bizy_navigation_page_list_ajax_layout2() {
	// Make your response and echo it.

	$page_array = explode('+++', $_POST['page_list']);
	$page_thumbnail = [];


	foreach ( $page_array as $page_url ) {

		$page_id = url_to_postid($page_url);

		$image_url = !empty($page_id) ? get_the_post_thumbnail_url($page_id, 'full') : '';

		$page_thumbnail[] = !empty($image_url) && $image_url ? $image_url : '';
	}


	wp_send_json( $page_thumbnail, 200 );

	// Don't forget to stop execution afterward.
	wp_die();
}
