<?php

use Aheto\Helper;

add_action('aheto_before_aheto_navigation_register', 'sterling_navigation_layout1');

/**
 * Navigation
 */

function sterling_navigation_layout1($shortcode)
{

	$dir = '//assets.aheto.co/navigation/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling navigation with logo in center', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);


	$shortcode->add_dependecy('sterling_demo_pages', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_use_navmenu_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_navmenu_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_navmenu_typo', 'sterling_use_navmenu_typo', 'true');

	$shortcode->add_dependecy('sterling_menus_right', 'template', 'sterling_layout1');

	$shortcode->add_dependecy('sterling_use_links_typo', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_links_typo', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_links_typo', 'sterling_use_links_typo', 'true');

	$shortcode->add_dependecy('sterling_dropdown_icon_color', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_dropdown_icon_size', 'template', ['sterling_layout1']);

	aheto_demos_add_dependency(['networks', 'transparent'], ['sterling_layout1'], $shortcode);
	$shortcode->add_dependecy('sterling_net_icon_color', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_net_icon_size', 'template', ['sterling_layout1']);

	aheto_demos_add_dependency('search', ['sterling_layout1'], $shortcode);
	$shortcode->add_dependecy('sterling_search_icon_color', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_search_icon_size', 'template', ['sterling_layout1']);

	aheto_demos_add_dependency('mini_cart', ['sterling_layout1'], $shortcode);
	$shortcode->add_dependecy('sterling_cart_use_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_cart_typo', 'sterling_cart_use_typo', 'true');

	aheto_demos_add_dependency('logo', ['sterling_layout1'], $shortcode);
	aheto_demos_add_dependency('mob_logo', ['sterling_layout1'], $shortcode);
	aheto_demos_add_dependency('add_scroll_logo', ['sterling_layout1'], $shortcode);
	aheto_demos_add_dependency('scroll_logo', ['sterling_layout1'], $shortcode);

	$shortcode->add_params([
		'sterling_menus_right'         => [
			'type'        => 'select',
			'heading'     => esc_html__('Right Menu', 'sterling'),
			'options'     => \Aheto\Helper::choices_nav_menu(),
			'descript
			ion' => esc_html__('Use menu with one level items', 'sterling'),
		],
		'sterling_use_links_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for links?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_links_typo' => [
			'type'     => 'typography',
			'group'    => 'Navigation Links Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .main-menu li a',
		],
		'sterling_dropdown_icon_color'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__('Dropdown Icon Color', 'sterling'),
			'selectors' => ['{{WRAPPER}} .dropdown-btn' => 'color: {{VALUE}}'],
		],
		'sterling_dropdown_icon_size'   => [
			'type'     => 'text',
			'heading'   => esc_html__('Dropdown Icon Size', 'sterling'),
			'selectors' => ['{{WRAPPER}} .dropdown-btn' => 'font-size: {{VALUE}}'],
		],
		'sterling_net_icon_color'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__('Networks Icon Color', 'sterling'),
			'selectors' => ['{{WRAPPER}} .main-header__icon' => 'color: {{VALUE}}'],
		],
		'sterling_net_icon_size'   => [
			'type'     => 'text',
			'heading'   => esc_html__('Networks Icon Size', 'sterling'),
			'selectors' => ['{{WRAPPER}} .main-header__icon' => 'font-size: {{VALUE}}'],
		],
		'sterling_search_icon_color'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__('Search/Cart Icon Color', 'sterling'),
			'selectors' => ['{{WRAPPER}} .icons-widget__link' => 'color: {{VALUE}}'],
		],
		'sterling_search_icon_size'   => [
			'type'     => 'text',
			'heading'   => esc_html__('Search/Cart Icon Size', 'sterling'),
			'selectors' => ['{{WRAPPER}} .icons-widget__link' => 'font-size: {{VALUE}}'],
		],
		'sterling_cart_use_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Cart Number?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_cart_typo'     => [
			'type'     => 'typography',
			'group'    => 'Cart Number Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .main-header__widget-box .button-number',
		],
		'sterling_demo_pages' => [
			'type' => 'text',
			'heading' => esc_html__('Megamenu with images', 'sterling'),
			'description' => esc_html__( 'Please write number. For example, if you want first submenu - write "1", if you want first and second - write "1,2". Note: Use only for megamenu items.', 'sterling' ),
		],

		'sterling_use_navmenu_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for submenu items with images?', 'sterling' ),
			'grid'    => 3,
			'label_block'  => true,
		],

		'sterling_navmenu_typo'     => [
			'type'     => 'typography',
			'group'    => 'Sterling Submenu with Images Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .main-header__main-line .main-header__pages-list li a',
		],
	]);
}



add_action( 'wp_ajax_nopriv_sterling_page_list', 'sterling_navigation_page_list_ajax_layout1' );
add_action( 'wp_ajax_sterling_page_list', 'sterling_navigation_page_list_ajax_layout1' );

function sterling_navigation_page_list_ajax_layout1() {
	// Make your response and echo it.

	$page_array = explode('+++', $_POST['page_list']);
	$page_thumbnail = [];


	foreach ( $page_array as $page_url ) {

		$page_id = url_to_postid($page_url);

		$image_url = !empty($page_id) ? get_the_post_thumbnail_url($page_id, 'large') : '';

		$page_thumbnail[] = !empty($image_url) && $image_url ? $image_url : '';
	}


	wp_send_json( $page_thumbnail, 200 );

	// Don't forget to stop execution afterward.
	wp_die();
}
