<?php
/**
 * Header Rela Menu.
 */

use Aheto\Helper;

extract($atts);

if (empty($menus)) {
    return;
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

// Nav.
$this->add_render_attribute('nav', 'class', 'widget-nav-menu widget-nav-menu--rela-footer');
$this->add_render_attribute('title', 'class', 'widget-nav-menu__title');


/**
 * Set dependent style
 */
$shortcode_dir = aheto()->plugin_url() . 'shortcodes/navigation/';
$custom_css    = Helper::get_settings( 'general.custom_css_including' );
$custom_css    = ( isset( $custom_css ) && ! empty( $custom_css ) ) ? $custom_css : false;
if ( empty( $custom_css ) || ( $custom_css == "disabled" ) ) {
    wp_enqueue_style('rela-navigation-layout3', $shortcode_dir . 'assets/css/rela_layout3.css', null, null);
}

?>

<div <?php $this->render_attribute_string('wrapper'); ?>>

    <div <?php $this->render_attribute_string('nav'); ?>>

        <?php if (!empty($title)) : ?>
            <h5 <?php $this->render_attribute_string('title'); ?>><?php echo wp_kses($title, 'post'); ?></h5>
        <?php endif; ?>

        <?php wp_nav_menu([
            'container' => 'div',
            'items_wrap' => '<ul id="%1$s" class="%2$s widget-nav-menu__menu">%3$s</ul>',
            'container_class' => 'menu-main-container',
            'menu_class' => 'menu',
            'menu' => $menus,
        ]); ?>

    </div>

</div>
