<?php

/**
 * The Team Shortcode.
 */

use Aheto\Helper;

extract($atts);

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-team-member--ewo-simple');
$this->add_render_attribute('wrapper', 'class', 't-left');

/**
 * Set dependent style
 */
$shortcode_dir = aheto()->plugin_url() . 'shortcodes/team-member/';
$custom_css    = Helper::get_settings( 'general.custom_css_including' );
$custom_css    = ( isset( $custom_css ) && ! empty( $custom_css ) ) ? $custom_css : false;
if ( empty( $custom_css ) || ( $custom_css == "disabled" ) ) {
  wp_enqueue_style('ewo-team-member-layout1', $shortcode_dir . 'assets/css/ewo_layout1.css', null, null);
}

?>

<div <?php $this->render_attribute_string('wrapper'); ?>>
  <?php if (!empty($image)) : ?>
    <div class="aheto-team-member__img-holder">
      <?php echo Helper::get_attachment($image, ['class' => 'aheto-team-member__img'], $ewo_image_size, $atts, 'ewo_'); ?>
    </div>
  <?php endif; ?>
  <div class="aheto-team-member__text">
    <?php
    // Name.
    if (!empty($name)) {
      echo '<h5 class="aheto-team-member__name">' . esc_html($name) . '</h5>';
    }
    // Designation.
    if (!empty($designation)) {
      echo '<p class="aheto-team-member__position">' . esc_html($designation) . '</p>';
    }
    // Field Values Decode.
    if (!empty($networks)) { ?>
      <div class="aheto-team-member__contact">
        <?php echo Helper::get_social_networks($networks, '<a class="aheto-team-member__link" href="%1$s"><i class="ion-social-%2$s"></i></a>'); ?>
      </div>
    <?php } ?>
  </div>
</div>
