<?php

/**
 * Category Template
 */
$count = isset($posts->found_posts) && !empty($posts->found_posts) ? $posts->found_posts : '0';
$count_text = $count == '1' ? esc_html__('result found', 'sterling') : esc_html__('results found', 'sterling');

get_header(); ?>
<div class="sterling-blog--banner">
    <?php if (is_search()) { ?>
        <div class="sterling-blog--banner__title-wrap">
            <h1 class="sterling-blog--banner__title"><?php esc_html_e('Showing results for ', 'sterling'); ?>
                <span>"<?php echo esc_html($term); ?>"</span></h1>
            <div class="sterling-blog--banner__count-results"><?php echo esc_html($count . ' ' . $count_text); ?></div>
        </div>
    <?php } else { ?>
        <div class="sterling-blog--banner__title-wrap">
            <h1 class="sterling-blog--banner__title"><?php esc_html_e('Blog', 'sterling'); ?></h1>
        </div>
    <?php } ?>
</div>
<?php

if (have_posts()) :
    get_template_part('template-parts/blog', 'list-category');
    wp_enqueue_style( 'sterling-blog-list', STERLING_T_URI . '/assets/css/blog/blog-list.css' );

else : ?>
    <div class="sterling-blog--search-page">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h3 class="sterling-blog--search-page__title"><?php esc_html_e('Sorry, no posts matched your criteria.', 'sterling'); ?></h3>
                    <div class="sterling-blog--search-page__search-form">
                        <?php get_search_form(true); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif;

get_footer();
