<?php

add_action('aheto_before_aheto_heading_register', 'sterling_heading_shortcode');
add_action('aheto_before_aheto_social-networks_register', 'sterling_social_networks_shortcode');
add_action('aheto_before_aheto_navigation_register', 'sterling_navigation_shortcode');
add_action('aheto_before_aheto_navbar_register', 'sterling_navbar_shortcode');
add_action('aheto_before_aheto_banner-slider_register', 'sterling_banner_slider_shortcode');
add_action('aheto_before_aheto_list_register', 'sterling_list_shortcode');
add_action('aheto_before_aheto_custom-post-types_register', 'sterling_custom_post_types_shortcode');
add_action('aheto_before_aheto_features-single_register', 'sterling_features_single_shortcode');
add_action('aheto_before_aheto_contact-info_register', 'sterling_contact_info_shortcode');
add_action('aheto_before_aheto_contact-forms_register', 'sterling_contact_forms_shortcode');
add_action('aheto_before_aheto_media_register', 'sterling_media_shortcode');
add_action('aheto_before_aheto_recent-posts_register', 'sterling_recent_posts_shortcode');
add_action('aheto_before_aheto_team-member_register', 'sterling_team_member_shortcode');
add_action('aheto_before_aheto_progress-bar_register', 'sterling_progress_bar_shortcode');
add_action('aheto_before_aheto_contents_register', 'sterling_contents_shortcode');
add_action('aheto_before_aheto_testimonials_register', 'sterling_testimonials_shortcode');
add_action('aheto_before_aheto_coming-soon_register', 'sterling_coming_soon_shortcode');


/**
 * Heading Shortcode
 */
function sterling_heading_shortcode($shortcode)
{

	$theme_dir = STERLING_T_URI . '/aheto/heading/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Simple', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_dependecy('sterling_subtitle', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_subtitle_tag', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_use_subtitle_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_subtitle_typo', 'sterling_use_subtitle_typo', 'true');
	$shortcode->add_dependecy('sterling_title', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_title_tag', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_use_title_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_title_typo', 'sterling_use_title_typo', 'true');
	$shortcode->add_dependecy('sterling_align_mobile', 'template', 'sterling_layout1');

	sterling_add_dependency('alignment', ['sterling_layout1'], $shortcode);

	$shortcode->add_params([
		'sterling_subtitle'          => [
			'type'        => 'textarea',
			'heading'     => esc_html__('Subtitle', 'sterling'),
			'description' => esc_html__('Add some text for Subtitle', 'sterling'),
			'admin_label' => true,
			'default'     => esc_html__('Add some text for Subtitle', 'sterling'),
		],
		'sterling_subtitle_tag'      => [
			'type'    => 'select',
			'heading' => esc_html__('Element tag for Subtitle', 'sterling'),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h4',
			'grid'    => 5,
		],
		'sterling_use_subtitle_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Subtitle?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_subtitle_typo' => [
			'type'     => 'typography',
			'group'    => 'Subtitle Typography',
			'settings' => [
				'tag'        => false,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__subtitle',
		],
		'sterling_title'          => [
			'type'        => 'textarea',
			'heading'     => esc_html__('Title', 'sterling'),
			'description' => esc_html__('Add some text for Title', 'sterling'),
			'admin_label' => true,
			'default'     => esc_html__('Add some text for Title', 'sterling'),
		],
		'sterling_title_tag'      => [
			'type'    => 'select',
			'heading' => esc_html__('Element tag for Title', 'sterling'),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h2',
			'grid'    => 5,
		],
		'sterling_use_title_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Title?', 'sterling'),
			'grid'    => 3,
		],

		'sterling_title_typo' => [
			'type'     => 'typography',
			'group'    => 'Title Typography',
			'settings' => [
				'tag'        => false,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__title',
		],
		'sterling_align_mobile' => [
			'type'    => 'select',
			'heading' => esc_html__('Align for mobile', 'sterling'),
			'options' => [
				'default' => 'Default',
				'left'    => 'Left',
				'center'  => 'Center',
				'right'   => 'Right',
			],
			'default' => 'default',
		],
	]);
}

function sterling_heading_shortcode_dynamic_css($css, $shortcode)
{

	if (!empty($shortcode->atts['sterling_use_subtitle_typo']) && !empty($shortcode->atts['sterling_subtitle_typo'])) {
		\aheto_add_props($css['global']['%1$s .aheto-heading__subtitle'], $shortcode->parse_typography($shortcode->atts['sterling_subtitle_typo']));
	}

	if (!empty($shortcode->atts['sterling_use_title_typo']) && !empty($shortcode->atts['sterling_title_typo'])) {
		\aheto_add_props($css['global']['%1$s .aheto-heading__title'], $shortcode->parse_typography($shortcode->atts['sterling_title_typo']));
	}

	return $css;
}

add_filter('aheto_heading_dynamic_css', 'sterling_heading_shortcode_dynamic_css', 10, 2);



/**
 * Social-networks Shortcode
 */

function sterling_social_networks_shortcode($shortcode)
{

	$theme_dir = STERLING_T_URI . '/aheto/social-networks/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Socials', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	sterling_add_dependency('networks', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('size', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('style', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('color', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('socials_align', ['sterling_layout1'], $shortcode);
}



/**
 * Navigation
 */

function sterling_navigation_shortcode($shortcode)
{

	$dir = STERLING_T_URI . '/aheto/navigation/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling navigation with logo in center', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_layout('sterling_layout2', [
		'title' => esc_html__('Sterling Navigation classic', 'sterling'),
		'image' => $dir . 'sterling_layout2.jpg',
	]);

	$shortcode->add_layout('sterling_layout3', [
		'title' => esc_html__('Sterling Navigation footer', 'sterling'),
		'image' => $dir . 'sterling_layout3.jpg',
	]);

	$shortcode->add_dependecy('sterling_menus_right', 'template', 'sterling_layout1');
	sterling_add_dependency('logo', ['sterling_layout1', 'sterling_layout2'], $shortcode);
	sterling_add_dependency('add_scroll_logo', ['sterling_layout1', 'sterling_layout2'], $shortcode);
	sterling_add_dependency('scroll_logo', ['sterling_layout1', 'sterling_layout2'], $shortcode);
	$shortcode->add_dependecy('sterling_use_links_typo', 'template', ['sterling_layout1', 'sterling_layout3']);
	$shortcode->add_dependecy('sterling_links_typo', 'sterling_use_links_typo', 'true');

	sterling_add_dependency('networks', ['sterling_layout2'], $shortcode);
	sterling_add_dependency('search', ['sterling_layout2'], $shortcode);

	$shortcode->add_params([
		'sterling_menus_right'         => [
			'type'        => 'select',
			'heading'     => esc_html__('Right Menu', 'sterling'),
			'options'     => \Aheto\Helper::choices_nav_menu(),
			'descript
			ion' => esc_html__('Use menu with one level items', 'sterling'),
		],
		'sterling_use_links_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for links?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_links_typo' => [
			'type'     => 'typography',
			'group'    => 'Navigation Links Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .main-menu li a',
		],
	]);
}



/**
 * Navbar Shortcode
 */
function sterling_navbar_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/navbar/previews/';
	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Simple', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_dependecy('sterling_descr', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_left_links', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_use_links_typo', 'template', 'sterling_layout1');
	$shortcode->add_params([
		'sterling_descr'       => [
			'type'    => 'textare',
			'heading' => esc_html__('Description', 'sterling'),
		],
		'sterling_left_links'  => [
			'type'    => 'group',
			'heading' => esc_html__('Left links', 'sterling'),
			'params'  => [
				'sterling_type_link'   => [
					'type'    => 'select',
					'heading' => esc_html__('Type of link', 'sterling'),
					'options' => [
						'phone'     => esc_html__('Phone', 'sterling'),
						'mail'     => esc_html__('Mail', 'sterling'),
					],
				],
				'sterling_phone'       => [
					'type'    => 'text',
					'heading' => esc_html__('Phone', 'sterling'),
				],
				'sterling_mail'       => [
					'type'    => 'text',
					'heading' => esc_html__('Mail', 'sterling'),
				],
				'sterling_add_icon'    => [
					'type'    => 'switch',
					'heading' => esc_html__('Add icon before label?', 'sterling'),
					'grid'    => 6,
					'default' => '',
				],
			],
		],
		'sterling_use_links_typo'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for links?', 'sterling'),
			'grid'    => 6,
		],
		'sterling_links_typo'   => [
			'type'     => 'typography',
			'group'    => 'Links Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-navbar--item, {{WRAPPER}} .aheto-navbar--item-link',
		],

	]);
}



/**
 * Banner slider 
 */

function sterling_banner_slider_shortcode($shortcode)
{
	$theme_dir = STERLING_T_URI . '/aheto/banner-slider/previews/';
	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Banner', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_dependecy('sterling_modern_banners', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_overlay_color', 'sterling_overlay', 'true');
	$shortcode->add_dependecy('sterling_use_subtitle_typo', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_subtitle_typo', 'sterling_use_subtitle_typo', 'true');
	$shortcode->add_dependecy('sterling_use_title_typo', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_title_typo', 'sterling_use_title_typo', 'true');
	$shortcode->add_dependecy('sterling_use_desc_typo', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_desc_typo', 'sterling_use_desc_typo', 'true');
	$shortcode->add_params([
		'sterling_modern_banners' => [
			'type'    => 'group',
			'heading' => esc_html__('Banners', 'sterling'),
			'params'  => [
				'sterling_image'     => [
					'type'    => 'attach_image',
					'heading' => esc_html__('Background Image', 'sterling'),
				],
				'sterling_overlay'       => [
					'type'    => 'switch',
					'heading' => esc_html__('Enable overlay for background image?', 'sterling'),
					'grid'    => 12,
				],
				'sterling_overlay_color' => [
					'type'    => 'colorpicker',
					'heading' => esc_html__('Overlay Color', 'sterling'),
					'grid'    => 12,
					'default' => ''
				],
				'sterling_sub_title' => [
					'type'    => 'textarea',
					'heading' => esc_html__('Subtitle', 'sterling'),
				],
				'sterling_title'     => [
					'type'    => 'textarea',
					'heading' => esc_html__('Title', 'sterling'),
				],
				'sterling_desc'      => [
					'type'    => 'textarea',
					'heading' => esc_html__('Description', 'sterling'),
				],
			]
		],
		'sterling_use_subtitle_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for subtitle?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_subtitle_typo'        => [
			'type'     => 'typography',
			'group'    => 'Subtitle Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-banner-slider__sub-title',
		],
		'sterling_use_title_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for title?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_title_typo'        => [
			'type'     => 'typography',
			'group'    => 'Title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-banner-slider__title',
		],
		'sterling_use_desc_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for description?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_desc_typo'        => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-banner-slider__descr',
		],
	]);

	\Aheto\Params::add_video_button_params($shortcode, [
		'add_label' => esc_html__('Add video?', 'sterling'),
		'prefix'    => 'sterling_video_',
		'group'     => esc_html__('Video Content', 'sterling'),
	], 'sterling_modern_banners');

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'sterling_main_',
		'icons'      => true,
	], 'sterling_modern_banners');

	\Aheto\Params::add_button_params($shortcode, [
		'add_label' => esc_html__('Add additional button?', 'sterling'),
		'prefix'    => 'sterling_add_',
		'icons'      => true,
	], 'sterling_modern_banners');

	\Aheto\Params::add_carousel_params($shortcode, [
		'custom_options' => true,
		'prefix'         => 'sterling_swiper_',
		'include'        => ['effect', 'speed', 'loop', 'autoplay', 'lazy', 'simulate_touch'],
		'dependency'     => ['template', ['sterling_layout1']]
	]);
}



/**
 * List
 */

function sterling_list_shortcode($shortcode)
{

	$dir = STERLING_T_URI . '/aheto/list/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_layout('sterling_layout2', [
		'title' => esc_html__('Sterling list with number', 'sterling'),
		'image' => $dir . 'sterling_layout2.jpg',
	]);

	$shortcode->add_layout('sterling_layout3', [
		'title' => esc_html__('Sterling list with bigger number', 'sterling'),
		'image' => $dir . 'sterling_layout3.jpg',
	]);

	$shortcode->add_layout('sterling_layout4', [
		'title' => esc_html__('Sterling list with background', 'sterling'),
		'image' => $dir . 'sterling_layout4.jpg',
	]);

	$shortcode->add_layout('sterling_layout5', [
		'title' => esc_html__('Sterling table', 'sterling'),
		'image' => $dir . 'sterling_layout5.jpg',
	]);

	sterling_add_dependency('heading', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4'], $shortcode);
	sterling_add_dependency('lists', ['sterling_layout1', 'sterling_layout4'], $shortcode);
	sterling_add_dependency('text_tag', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4'], $shortcode);
	sterling_add_dependency('description', ['sterling_layout2', 'sterling_layout3'], $shortcode);
	sterling_add_dependency('index', ['sterling_layout2', 'sterling_layout3'], $shortcode);
	sterling_add_dependency('color', ['sterling_layout2', 'sterling_layout3'], $shortcode);

	// sterling Table List
	$shortcode->add_dependecy('sterling_first_column', 'template', 'sterling_layout5');
	$shortcode->add_dependecy('sterling_second_column', 'template', 'sterling_layout5');
	$shortcode->add_dependecy('sterling_third_column', 'template', 'sterling_layout5');
	$shortcode->add_dependecy('sterling_table_lists', 'template', 'sterling_layout5');
	$shortcode->add_dependecy('sterling_background', 'template', 'sterling_layout5');
	$shortcode->add_dependecy('sterling_use_position_typo', 'template', 'sterling_layout5');
	$shortcode->add_dependecy('sterling_position_typo', 'sterling_use_position_typo', 'true');

	$shortcode->add_params([
		'sterling_first_column'  => [
			'type'    => 'text',
			'heading' => esc_html__('First Column Title', 'sterling'),
		],
		'sterling_second_column' => [
			'type'    => 'text',
			'heading' => esc_html__('Second Column Title', 'sterling'),
		],
		'sterling_third_column'  => [
			'type'    => 'text',
			'heading' => esc_html__('Third Column Title', 'sterling'),
		],
		'sterling_table_lists'   => [
			'type'    => 'group',
			'heading' => esc_html__('Table Lists', 'sterling'),
			'params'  => [
				'sterling_first_item'  => [
					'type'    => 'text',
					'heading' => esc_html__('First Item Text', 'sterling'),
				],
				'sterling_second_item' => [
					'type'    => 'text',
					'heading' => esc_html__('Second Item Text', 'sterling'),
				],
				'sterling_third_item'  => [
					'type'    => 'text',
					'heading' => esc_html__('Third Item Text', 'sterling'),
				],
			],
		],
		'sterling_background' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__('Background color', 'sterling'),
			'grid'      => 6,
			'selectors' => ['{{WRAPPER}} .aheto-list--row .aheto-list--column' => 'background: {{VALUE}}'],
		],
		'sterling_use_position_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for position?', 'sterling'),
			'grid'    => 3,
		],

		'sterling_position_typo' => [
			'type'     => 'typography',
			'group'    => 'Position Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-list--column h5',
		],
	]);

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'sterling_main_',
	], 'sterling_table_lists');
}



/**
 * Custom Post Type Shortcode
 */

function sterling_custom_post_types_shortcode($shortcode)
{

	$theme_dir = STERLING_T_URI . '/aheto/custom-post-types/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Slider', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	// CUSTOM SKIN

	$aheto_skins      = $shortcode->params['skin']['options'];
	$sterling_skins = array(
		'sterling_skin-1' => esc_html__('Sterling donation skin 1', 'sterling'),
		'sterling_skin-2' => esc_html__('Sterling news skin 2', 'sterling'),
		'sterling_skin-3' => esc_html__('Sterling news skin 3', 'sterling'),
		'sterling_skin-4' => esc_html__('Sterling footer skin 4', 'sterling'),
		'sterling_skin-5' => esc_html__('Sterling CS skin 5', 'sterling'),
	);

	$all_skins                            = array_merge($aheto_skins, $sterling_skins);
	$shortcode->params['skin']['options'] = $all_skins;

	$shortcode->add_dependecy('sterling_link_text', 'skin', ['sterling_skin-1', 'sterling_skin-2', 'sterling_skin-5']);

	sterling_add_dependency('skin', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('image_height', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('use_heading', ['sterling_layout1'], $shortcode);


	$shortcode->add_params([
		'sterling_link_text' => [
			'type'    => 'text',
			'heading' => esc_html__('Text for button', 'sterling'),
			'default' => 'DONATE NOW',
		]
	]);

	\Aheto\Params::add_carousel_params($shortcode, [
		'custom_options' => true,
		'prefix'         => 'sterling_swiper_',
		'include'        => ['arrows', 'pagination', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch'],
		'dependency'     => ['template', ['sterling_layout1']]
	]);
}



/**
 * Features Single Shortcode
 */

function sterling_features_single_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/features-single/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling features single', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);
	$shortcode->add_layout('sterling_layout2', [
		'title' => esc_html__('Sterling features single left', 'sterling'),
		'image' => $dir . 'sterling_layout2.jpg',
	]);
	$shortcode->add_layout('sterling_layout3', [
		'title' => esc_html__('Sterling features single hover', 'sterling'),
		'image' => $dir . 'sterling_layout3.jpg',
	]);
	$shortcode->add_layout('sterling_layout4', [
		'title' => esc_html__('Sterling features single scale', 'sterling'),
		'image' => $dir . 'sterling_layout4.jpg',
	]);
	$shortcode->add_layout('sterling_layout5', [
		'title' => esc_html__('Sterling features single animate', 'sterling'),
		'image' => $dir . 'sterling_layout5.jpg',
	]);

	sterling_add_dependency('s_image', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4', 'sterling_layout5'], $shortcode);
	sterling_add_dependency('s_heading', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4', 'sterling_layout5'], $shortcode);
	sterling_add_dependency('s_description', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4', 'sterling_layout5'], $shortcode);
	$shortcode->add_dependecy('sterling_use_main', 'template', 'sterling_layout4');

	$shortcode->add_params([
		'sterling_use_main' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use like main', 'sterling'),
			'grid'    => 3,
		],
	]);

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'sterling_main_',
		'dependency' => ['template', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4', 'sterling_layout5']]
	]);

	\Aheto\Params::add_image_sizer_params($shortcode, [
		'group'      => esc_html__('Images size for images ', 'sterling'),
		'prefix'     => 'sterling_',
		'dependency' => ['template', ['sterling_layout1', 'sterling_layout2', 'sterling_layout3', 'sterling_layout4', 'sterling_layout5']]
	]);
}



/**
 * Contact info
 */

function sterling_contact_info_shortcode($shortcode)
{

	$dir = STERLING_T_URI . '/aheto/contact-info/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling contacts info simple', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_layout('sterling_layout2', [
		'title' => esc_html__('Sterling contacts info items', 'sterling'),
		'image' => $dir . 'sterling_layout2.jpg',
	]);

	$shortcode->add_dependecy('sterling_image', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_description', 'template', ['sterling_layout1', 'sterling_layout2']);
	$shortcode->add_dependecy('sterling_use_description_typo', 'template', ['sterling_layout1', 'sterling_layout2']);
	$shortcode->add_dependecy('sterling_description_typo', 'sterling_use_description_typo', 'true');
	$shortcode->add_dependecy('sterling_address', 'template', ['sterling_layout2']);
	$shortcode->add_dependecy('sterling_phone', 'template', ['sterling_layout1', 'sterling_layout2']);
	$shortcode->add_dependecy('sterling_phone2', 'template', ['sterling_layout1', 'sterling_layout2']);
	$shortcode->add_dependecy('sterling_email', 'template', ['sterling_layout2']);
	$shortcode->add_dependecy('sterling_use_info_typo', 'template', ['sterling_layout1', 'sterling_layout2']);
	$shortcode->add_dependecy('sterling_info_typo', 'sterling_use_info_typo', 'true');

	$shortcode->add_params([
		'sterling_image'         => [
			'type'    => 'attach_image',
			'heading' => esc_html__('Icon', 'sterling'),
		],
		'sterling_description' => [
			'type'    => 'textarea',
			'heading' => esc_html__('Description', 'sterling'),
		],
		'sterling_use_description_typo'    => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Descr?', 'sterling'),
			'grid'    => 4,
		],
		'sterling_description_typo' => [
			'type'     => 'typography',
			'group'    => 'Descr Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .widget_aheto__desc',
		],
		'sterling_address'     => [
			'type'    => 'textarea',
			'heading' => esc_html__('Address', 'sterling'),
		],
		'sterling_email'       => [
			'type'    => 'text',
			'heading' => esc_html__('Email', 'sterling'),
		],
		'sterling_phone'       => [
			'type'    => 'text',
			'heading' => esc_html__('Phone', 'sterling'),
		],
		'sterling_phone2'       => [
			'type'    => 'text',
			'heading' => esc_html__('Phone 2', 'sterling'),
		],
		'sterling_use_info_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for info items?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_info_typo' => [
			'type'     => 'typography',
			'group'    => 'Info items Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .widget_aheto__info-item'
		],
	]);

	\Aheto\Params::add_icon_params($shortcode, [
		'add_icon'  => true,
		'add_label' => esc_html__('Add email icon?', 'sterling'),
		'group'     => esc_html__('Icons', 'sterling'),
		'prefix'    => 'email_',
		'exclude'    => ['align'],
		'dependency' => ['template', ['sterling_layout2']]
	]);

	\Aheto\Params::add_icon_params($shortcode, [
		'add_icon'  => true,
		'add_label' => esc_html__('Add phone icon?', 'sterling'),
		'group'     => esc_html__('Icons', 'sterling'),
		'prefix'    => 'phone_',
		'exclude'    => ['align'],
		'dependency' => ['template', ['sterling_layout2']]
	]);

	\Aheto\Params::add_icon_params($shortcode, [
		'add_icon'  => true,
		'add_label' => esc_html__('Add time icon?', 'sterling'),
		'group'     => esc_html__('Icons', 'sterling'),
		'prefix'    => 'time_',
		'exclude'    => ['align'],
		'dependency' => ['template', ['sterling_layout2']]
	]);

	\Aheto\Params::add_icon_params($shortcode, [
		'add_icon'  => true,
		'add_label' => esc_html__('Add address icon?', 'sterling'),
		'group'     => esc_html__('Icons', 'sterling'),
		'prefix'    => 'address_',
		'exclude'    => ['align'],
		'dependency' => ['template', ['sterling_layout2']]
	]);
}


/**
 * Contact forms
 */

function sterling_contact_forms_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/contact-forms/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling subscribe form', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	sterling_add_dependency('bg_color_fields', ['sterling_layout1'], $shortcode);
}



/**
 * Media
 */

function sterling_media_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/media/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling media grid', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_layout('sterling_layout2', [
		'title' => esc_html__('Sterling media grid', 'sterling'),
		'image' => $dir . 'sterling_layout2.jpg',
	]);

	$shortcode->add_dependecy('sterling_image', 'template', ['sterling_layout1', 'sterling_layout2']);
	$shortcode->add_dependecy('sterling_all_item', 'template', ['sterling_layout2']);

	$shortcode->add_params([
		'sterling_image'     => [
			'type'    => 'attach_images',
			'heading' => esc_html__('Add image', 'sterling'),
		],
		'sterling_all_item' => [
			'type'    => 'switch',
			'heading' => esc_html__('Show all images?', 'sterling'),
			'grid'    => 3,
		],
	]);

	\Aheto\Params::add_image_sizer_params($shortcode, [
		'group'      => esc_html__('Images size', 'sterling'),
		'prefix'     => 'sterling_',
		'dependency' => ['template', ['sterling_layout1']]
	]);
}



/**
 * Recent posts
 */

function sterling_recent_posts_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/recent-posts/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling recent post', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	sterling_add_dependency('text_typo', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('post_type', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('limit', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('post_title_typo', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('hovercolor', ['sterling_layout1'], $shortcode);
	$shortcode->add_dependecy('sterling_use_date_typo', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_date_typo', 'sterling_use_date_typo', 'true');

	$shortcode->add_params([
		'sterling_use_date_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for date?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_date_typo' => [
			'type'     => 'typography',
			'group'    => 'Navigation date Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .post-date',
		],
	]);
}

function sterling_recent_posts_shortcode_dynamic_css($css)
{
	if (!empty($this->atts['text_typo'])) {
		\aheto_add_props($css['global']['%1$s .widget-recent-title'], $this->parse_typography($this->atts['text_typo']));
	}

	if (!empty($this->atts['post_title_typo'])) {
		\aheto_add_props($css['global']['%1$s .post-title'], $this->parse_typography($this->atts['post_title_typo']));
	}

	if (!empty($this->atts['hovercolor'])) {
		$css['global']['%1$s ul li a:hover']['color'] = Sanitize::color($this->atts['hovercolor']);
	}
	return apply_filters("aheto_recent_posts_dynamic_css", $css, $this);
}



/**
 *  Team member shortcode
 */
function sterling_team_member_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/team-member/previews/';
	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Team Member', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);

	sterling_add_dependency('image', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('name', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('designation', ['sterling_layout1'], $shortcode);
	$shortcode->add_dependecy('sterling_use_name_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_name_typo', 'sterling_use_name_typo', 'true');
	$shortcode->add_dependecy('sterling_use_position_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_position_typo', 'sterling_use_position_typo', 'true');
	$shortcode->add_params([
		'sterling_use_name_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for name?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_name_typo' => [
			'type'     => 'typography',
			'group'    => 'Name Typography',
			'settings' => [
				'tag'        => false,
			],
			'selector' => '{{WRAPPER}} .aheto-team-member__name',
		],
		'sterling_use_position_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for position?', 'sterling'),
			'grid'    => 3,
		],
		'sterling_position_typo' => [
			'type'     => 'typography',
			'group'    => 'Position Typography',
			'settings' => [
				'tag'        => false,
			],
			'selector' => '{{WRAPPER}} .aheto-team-member__position',
		],
		'networks' => true
	]);
	\Aheto\Params::add_image_sizer_params($shortcode, [
		'group'      => esc_html__('Images size', 'sterling'),
		'prefix'     => 'sterling_',
		'dependency' => ['template', ['sterling_layout1']]
	]);
}

function sterling_team_member_shortcode_dynamic_css($css, $shortcode)
{
	if (!empty($shortcode->atts['sterling_use_name_typo']) && !empty($shortcode->atts['sterling_name_typo'])) {
		\aheto_add_props($css['global']['%1$s .aheto-team-member__name'], $shortcode->parse_typography($shortcode->atts['sterling_name_typo']));
	}
	if (!empty($shortcode->atts['sterling_use_position_typo']) && !empty($shortcode->atts['sterling_position_typo'])) {
		\aheto_add_props($css['global']['%1$s .aheto-team-member__position'], $shortcode->parse_typography($shortcode->atts['sterling_position_typo']));
	}
	return $css;
}
add_filter('aheto_dynamic_css_team-member', 'sterling_team_member_shortcode_dynamic_css', 10, 2);


/**
 * Progress Bar Shortcode
 */

function sterling_progress_bar_shortcode($shortcode)
{
	$theme_dir = STERLING_T_URI . '/aheto/progress-bar/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Modern', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_dependecy('sterling_number', 'template', ['sterling_layout1']);
	$shortcode->add_dependecy('sterling_use_number_typo', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_number_typo', 'sterling_use_number_typo', 'true');

	$shortcode->add_dependecy('sterling_title', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_title_tag', 'template', 'sterling_layout1');
	$shortcode->add_dependecy('sterling_use_title_typo', 'template', 'sterling_layout1');

	$shortcode->add_params([
		'sterling_number'    => [
			'type'    => 'text',
			'heading' => esc_html__('Number', 'sterling'),
		],
		'sterling_use_number_typo'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Number?', 'sterling'),
			'grid'    => 6,
		],
		'sterling_number_typo'   => [
			'type'     => 'typography',
			'group'    => 'Number Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-counter__number',
		],
		'sterling_title'    => [
			'type'    => 'textarea',
			'heading' => esc_html__('Title', 'sterling'),
		],
		'sterling_title_tag' => [
			'type'    => 'select',
			'heading' => esc_html__('Element tag for Title', 'sterling'),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h4',
			'grid'    => 1,
		],
		'sterling_use_title_typo'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Title?', 'sterling'),
			'grid'    => 6,
		],
		'sterling_title_typo'   => [
			'type'     => 'typography',
			'group'    => 'Title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-progress__title',
		],
	]);
}



/**
 * Contents Shortcode
 */

function sterling_contents_shortcode($shortcode)
{

	$theme_dir = STERLING_T_URI . '/aheto/contents/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Faq', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	sterling_add_dependency('faqs', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('first_is_opened', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('multi_active', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('title_typo', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('text_typo', ['sterling_layout1'], $shortcode);
}


/**
 * Testimonials Shortcode
 */

function sterling_testimonials_shortcode($shortcode)
{

	$theme_dir = STERLING_T_URI . '/aheto/testimonials/previews/';

	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Classic', 'sterling'),
		'image' => $theme_dir . 'sterling_layout1.jpg',
	]);

	$shortcode->add_dependecy('sterling_testimonials', 'template', ['sterling_layout1']);

	$shortcode->add_params([
		'sterling_testimonials' => [
			'type'    => 'group',
			'heading' => esc_html__('Modern Testimonials Items', 'sterling'),
			'params'  => [
				'sterling_image'       => [
					'type'    => 'attach_image',
					'heading' => esc_html__('Display Image', 'sterling'),
				],
				'sterling_title'        => [
					'type'    => 'text',
					'heading' => esc_html__('Title', 'sterling'),
					'default' => esc_html__('Title', 'sterling'),
				],
				'sterling_rating'      => [
					'type'    => 'select',
					'heading' => esc_html__('Rating', 'sterling'),
					'options' => [
						'1'   => esc_html__('1', 'sterling'),
						'1.5' => esc_html__('1.5', 'sterling'),
						'2'   => esc_html__('2', 'sterling'),
						'2.5' => esc_html__('2.5', 'sterling'),
						'3'   => esc_html__('3', 'sterling'),
						'3.5' => esc_html__('3.5', 'sterling'),
						'4'   => esc_html__('4', 'sterling'),
						'4.5' => esc_html__('4.5', 'sterling'),
						'5'   => esc_html__('5', 'sterling'),
					],
					'default' => '5',
				],
				'sterling_name'        => [
					'type'    => 'text',
					'heading' => esc_html__('Name', 'sterling'),
					'default' => esc_html__('Author name', 'sterling'),
				],
				'sterling_company'     => [
					'type'    => 'text',
					'heading' => esc_html__('Position', 'sterling'),
					'default' => esc_html__('Author position', 'sterling'),
				],
				'sterling_testimonial' => [
					'type'    => 'textarea',
					'heading' => esc_html__('Testimonial', 'sterling'),
					'default' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 'sterling'),
				],
			],
		],
	]);


	\Aheto\Params::add_carousel_params($shortcode, [
		'custom_options' => true,
		'include'        => ['pagination', 'arrows', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch'],
		'prefix'         => 'sterling_swiper_',
		'dependency'     => ['template', ['sterling_layout1']]
	]);
}



/**
 * Coming Soon Shortcode
 */
function sterling_coming_soon_shortcode($shortcode)
{
	$dir = STERLING_T_URI . '/aheto/coming-soon/previews/';
	$shortcode->add_layout('sterling_layout1', [
		'title' => esc_html__('Sterling Simple', 'sterling'),
		'image' => $dir . 'sterling_layout1.jpg',
	]);
	
	sterling_add_dependency('time', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('days_desktop', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('days_mobile', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('hours_desktop', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('hours_mobile', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('mins_desktop', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('mins_mobile', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('secs_desktop', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('secs_mobile', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('typo_numbers', ['sterling_layout1'], $shortcode);
	sterling_add_dependency('typo_caption', ['sterling_layout1'], $shortcode);
	// $shortcode->add_dependecy('sterling_dot_typo', 'template', ['sterling_layout1']);

	// $shortcode->add_params([
	// 	'sterling_dot_typo'   => [
	// 		'type'     => 'typography',
	// 		'group'    => 'Dots Typography',
	// 		'settings' => [
	// 			'tag'        => false,
	// 			'text_align' => false,
	// 		],
	// 		'selector' => '{{WRAPPER}} aheto-coming-soon__dots',
	// 	],
	// ]);
}




/**
 * Aheto dependency
 */

function sterling_add_dependency($id, $args = array(), $shortcode)
{

	$param = (array) $shortcode->depedency[$id]['template'];

	return $shortcode->depedency[$id]['template'] = array_merge($param, $args);
}
